# \Thelia\Core\HttpFoundationRequest

## Summary

Methods
Properties
Constants
getProductId()
getUriAddingParameters()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Core/HttpFoundation/Request.php
Package
  \Default
Class hierarchy
  \Symfony\Component\HttpFoundation\Request
  \Thelia\Core\HttpFoundation\Request

## Tags

None found

## Methods

### getProductId()

    getProductId()

#

## Tags

None found

### getUriAddingParameters()

    getUriAddingParameters(array $parameters)

#### Parameters

array | $parameters |

#

## Tags

None found

### Request.php